<div class="scene">
  <div class="cube" [ngClass]="state">
    <div class="face front">Front</div>
    <div class="face back">Back</div>
    <div class="face right">Right</div>
    <div class="face left">Left</div>
    <div class="face top">Top</div>
    <div class="face bottom">Bottom</div>
  </div>
</div>

<input type="radio" name="a" id="1" value="front" [(ngModel)]="state" checked>
<label for="1">Front</label>

<input type="radio" name="a" id="2" value="back" [(ngModel)]="state">
<label for="2">Back</label>

<input type="radio" name="a" id="3" value="right" [(ngModel)]="state">
<label for="3">Right</label>

<input type="radio" name="a" id="4" value="left" [(ngModel)]="state">
<label for="4">Left</label>

<input type="radio" name="a" id="5" value="top" [(ngModel)]="state">
<label for="5">Top</label>

<input type="radio" name="a" id="6" value="bottom" [(ngModel)]="state">
<label for="6">Bottom</label>



{{ state }}
